| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# substeps

$Revision: 1.3 $

$Date: 2002/06/12 11:18:37 $

substeps — A wrapper for steps that occur within steps in a procedure

## Synopsis

### Content Model

    substeps ::=
    (step+)

### Attributes

Common attributes

Name | Type | Default

performance

Enumeration:
optional
required

"required"

## Description

A `Procedure` describes a sequence of `Step`s that a reader is expected to perform. If a finer level of granularity is required for some steps, you can use `SubSteps` to embed substeps within a `Step`.

`SubSteps` contain `Step`s, so substeps can be nested to any depth.

### Processing expectations

Formatted as a displayed block. `SubStep`s are almost always numbered.

### Parents

These elements contain substeps: `step`.

### Children

The following elements occur in substeps: `step`.

## Attributes

performance

  `Performance` specifies whether particular set of `Substep` in a `Procedure` must be performed or is optional.

## Examples

For examples, see `procedure`.

subscript |  | subtitle

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.